### Type parameters

- #### T

### Hierarchy

- BatchGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- _metadata
- dynamoRx
- modelClazz
- params
- tableName

### Accessors

- metaData

### Methods

- addKeyParams
- exec
- execFullResponse

## Constructors

### constructor

- new BatchGetSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, keys: any[]): BatchGetSingleTableRequest

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:19

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### keys: any[]

  #### Returns BatchGetSingleTableRequest

## Properties

### Private _metadata

_metadata: Metadata<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:19

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:14

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:16

### params

params: BatchGetItemInput

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:15

### tableName

tableName: string

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:17

## Accessors

### metaData

metaData:

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:38

## Methods

### Private addKeyParams

- addKeyParams(keys: any[]): void

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:80

  #### Parameters

  - ##### keys: any[]

  #### Returns void

### exec

- exec(): Observable<T[]>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:68

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<BatchGetSingleTableResponse<T>>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:46

  #### Returns Observable<BatchGetSingleTableResponse<T>>

Generated using TypeDoc